ERRLOG=/var/log/bootcd2disk.log

# function do_first
# If you want to do some things first before doing anythin else (e.g. load
# additional modules), you can add this to this function.
#    function do_first() {
#    return
#    }

# To define the disk that will be newly partitioned before copying the cd to it
#   DISK0="/dev/hda"
# If you don't want do partition any disk
#   DISK0=""
# If you want bootcd2disk to find a disk (bootcd tries to use the first disk)
DISK0="auto"

# It is possible to define more disks. The disk number must be increased by 1.
#DISK1="auto"
#DISK2="auto"

# Syntax:
#   LVMGRP="<group> <diskdev> [<diskdev> ...][<vgcreate-cmd>][\n ...]"
#
# Example1:
#   LVMGRP="vg00 DISK0P1
#           vg01 DISK0P2
#           vg02 DISK0P3 DISK0P4"
#   
# Example2 which is the same as Example1 because it used the default schema
#   LVMGRP="vg00 DISK0P1 vgcreate vg00 DISK0P1
#           vg01 DISK0P2 vgcreate vg01 DISK0P2
#           vg02 DISK0P3 vgcreate vg02 DISK0P3 DISK0P4"
#
# hint: Each volume group definition needs a new line! 
#
# Default: 
#   LVMGRP=""
LVMGRP=""

# Syntax:
#   LVMVOL="<volname> <size> <group> [<lvcreate-cmd>][\n ...]"
#
#   size in vgcreate syntax, e.g.: 100 means 100 MByte 
#
# Example1:
#   LVMVOL="lv00 2000 vg00"
#
# Example2 which is the same as Example1 because it used the default schema
#   LVMVOL="lv00 2000 vg00 lvcreate -n lv00 -L 2000 vg00"
#
# Example3 uses striping for the second volume 
#   LVMVOL="lv00 2000 vg00
#           lv01 100 vg00 lvcreate -n lv01 -i 3 -I 8 -L 100 vg00"
#
# hint: Each logical volume definition needs a new line! 
#
# Default: 
#   LVMVOL=""
LVMVOL=""

# If DISK0="auto" is defined, the first disk found will be used. To change
# this order TRYFIRST can be defined for example to use SCSI Disks first:
#   TRYFIRST="/dev/sda /dev/hda"
# Most people will not need this option and will define:
#   TRYFIRST=""
TRYFIRST=""

# If you don't want to repartition anything use:
#   SFDISK0=""
# If you want to specify yourself: see man sfdisk
# If no unit is defined in SFDISK0 MB will be used with sfdisk option "-uM"
#   SFDISK0="
#   ,50
#   ,100,S
#   ;
#   "
# If you want to do it automatically. There will be 3 partitions
# /boot, swap and /. /boot is created first to be sure the bios can load
# the kernel also on very large disks. Sectors will be used as unit
#   SFDISK0="
#   unit: sectors
#   2048,102400,L
#   102401,307201,S
#   307202,+,L
#   "
SFDISK0="auto"

# For each defined DISK<x> there must be one SFDISK<x> Line
# SFDISK1="auto"
# SFDISK2="auto"

# VFAT is normally only needed on ia64 for EFI files.
# Do not run mkdosfs: 
#   VFAT=""
# Create partitions defined in VFATFS with mkdosfs
#   VFAT="/dev/sdb4"
VFAT=""

# Do not run mke2fs:
#   EXT2FS=""
# Create partitions defined in EXT2FS with mke2fs:
#   EXT2FS="/dev/hda1 
#           /dev/hda3"
#
# hint: Each device or logical volume definition needs a new line! 
# Create partitions needed automatically:
EXT2FS="auto"

# Use EXT3 extenstion for partitions defined by EXT2FS:
#   EXT3="yes"
# Do not Use EXT3 extenstio for partitions defined by EXT2FS:
#   EXT3="no"
# Use EXT3 automatically if it is supported by the system:
EXT3="auto"

# If you don't want to run mkswap use:
#   SWAP=""
# If you want to specify partitions for mkswap:
#   SWAP="/dev/hda2"
# hint: Each swap device definition needs a new line! 
# If you want to automatically use mke2fs:
SWAP="auto"

# If you don't want to mount anything, before copying the cd to /mnt
#   MOUNT=""
#   UMOUNT=""
# If you want to mount everything yourself:
#   MOUNT="mount /dev/hda3 /mnt; mkdir /mnt/boot; mount /dev/hda1 /mnt/boot"
#   UMOUNT="umount /mnt/boot; umount /mnt"
# If you want to automatically mount:
MOUNT="auto"
UMOUNT="auto"

# If you don't want to change the /etc/fstab copied form cd:
#   FSTAB=""
# If You want to define it yourself:
#   FSTAB="
#   /dev/sda1 /boot ext2 defaults 0 1
#   /dev/sda2 none  swap sw 0 0
#   /dev/sda3 /     ext2 defaults,errors=remount-ro 0 1
#   proc      /proc proc defaults 0 0
#   "
# The string DISK0P1 will be automatically changed to <device of the first 
# partition of the first disk>. The string UUID!DISK1P3 will be automacally 
# changed to the <UUID of the third partition of the second disk>.
#
# If You want to do it automatically:
FSTAB="auto"

# If you don't want to use GRUB2:
#   GRUB2=""
# If GRUB2 and GRUB and LILO is defined and installed, GRUB2 will be used
# If GRUB2 is auto grub-mkconfig will be used to create it automatically.
# If you want to define it yourself:
#   GRUB2="
#   set lang=en
#   insmod gettext
#   set timeout=5
#   set menu_color_normal=cyan/blue
#   set menu_color_highlight=white/blue
#   
#   menuentry 'Debian GNU/Linux' --class debian --class gnu-linux --class gnu --class os {
#        insmod ext2
#        set root='(hd0,0)'
#        linux   /$(basename $KERNEL) root=DISK0P3 ro
#        initrd  /$(basename $INITRD)
#   }
# "
GRUB2="auto"

# If you don't want to use GRUB:
#   GRUB=""
# If GRUB2 is not installed or defined and GRUB is defined and grub is 
# installed it will be used and
# LILO will be ignored.
# If you want to define it yourself:
#   GRUB="
#   default 0
#   timeout 5
#   color   cyan/blue white/blue
#   title   Debian GNU/Linux
#   root    (hd0,0)
#   kernel  /vmlinuz-2.4.27-2-386 root=/dev/hda3 ro
#   initrd  /initrd.img-2.4.27-2-386
#   savedefault
#   boot
#   "
# If You want to do it automatically:
GRUB="auto"

# Only if you BIOS sees another disk as the first disk you may
# have to change the next line.
GRUBBOOTDISK="hd0"

# If /boot is not the first partition on disk
# we need to know which one it is to install 
# grub properly. Attention: grub starts counting with 0!
GRUBBOOTDIR="0"

# GRUBDEVICEMAP=auto|no|<value>
# GRUBDEVICEMAP="auto" means, bootcd2disk deletes the original
# device.map, so that it will be auto-created by grub again.
# This should work also when installing on different hardware with
# different disks..
# GRUBDEVICEMAP="no" means bootcd2disk does not change device.map.
# This should work if a bootcd is installed on the original hardware
# Everything else will be used as new value for device.map.
GRUBDEVICEMAP="auto"

# If GRUB is defined and installed LILO will be ignored. 
# If you don't want to change the /etc/lilo.conf copied from cd:
#   LILO=""
# If you want to define it yourself:
#   LILO="
#   boot=DISK0
#   delay=20
#   vga=0
#   image=/vmlinuz
#   root=DISK0P3
#   initrd=/initrd.img
#   label=Linux
#   read-only
#   "
# If You want to do it automatically:
LILO="auto"

# ELILO is only needed on ia64 systems.
# If you don't want to run elilo:
#   ELILO=""
# If you want to define /etc/elilo.conf and run elilo.
#   ELILO="
#   install=/usr/lib/elilo/elilo.efi
#   boot=/dev/sdb4
#   prompt
#   timeout=50
#   default=Linux
#   append=\\\"console=ttyS0.9600n8\\\"
#   image=/vmlinuz
#   label=Linux
#   root=/dev/sdb5
#   read-only
#   "
ELILO=""

# SSHOSTKEY=yes|no
# If you are using ssh it is helpful to have a unique ssh hostkey for
# each PC installed with bootcd2disk. This will be generated with 
#   SSHHOSTKEY="yes"
SSHHOSTKEY=yes

# UDEV_FIXNET=yes|no
# If you are using udev filesystem and install the image on other machines
# you need to set this to "yes" because the network interfaces are hardwired
# in /etc/udev/rules.d/z25_persistent-net.rules (etch) or in 
# /etc/udev/rules.d/70-persistent-net.rules (lenny) and we must remove them.
#   UDEV_FIXNET="yes"
UDEV_FIXNET="yes"

# IMAGEURL="" | IMAGEURL="<url>"
# If bootcd2disk is slow on your system (because of a slow CD/DVD drive or
# the HP ILO virtual CD interface), you can use a image server to get the 
# image from.
# bootcd2disk use the SWAP partition of your upcoming system as temporary
# space and copy the image from the configured image server (IMAGEURL or
# cmdline -url) to this partition and use it as image. 
# The "url" is used with "wget" so all url from wget are possible.
# e.g: http://192.168.100.10/cdimage.iso
# hint: Please use a ip because of failed DNS and you need also the
#       configured ip interface.
# hint: the option may be overwritten from command line (-url)
#  IMAGEURL=""
IMAGEURL=""

# PARTITIONLABEL=""
# If you want the filesystem or swap partitions to have labels you can define
# them here. Example:
#   PARTITIONLABEL="/dev/sda1:/
#   /dev/sda2:SWAP-sda2"
PARTITIONLABEL=""

# function after_copy
# If you want to do some things after copying the files (e.g. remount of
# directories ...), you can add this to this function.
#    function after_copy() {
#    return
#    }

#
# Examples:
#

# IF you only want to copy the cd to an already existing Partition /dev/hda2
# You can now specify:
#   DISK0=""; SFDISK0=""; SWAP=""; FSTAB=""; LILO=""
#   EXTFS2="/dev/hda2"
#   MOUNT="mount /dev/hda2 /mnt"
